# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.652   -> 1.653  
#	drivers/usb/serial/usbserial.c	1.22    -> 1.23   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/12	greg@kroah.com	1.653
# USB serial: added device path to the proc file now that usb_make_path() is available.
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/usbserial.c b/drivers/usb/serial/usbserial.c
--- a/drivers/usb/serial/usbserial.c	Thu Sep 12 16:25:42 2002
+++ b/drivers/usb/serial/usbserial.c	Thu Sep 12 16:25:42 2002
@@ -814,7 +814,7 @@
 	int length = 0;
 	int i;
 	off_t begin = 0;
-//	char tmp[40];
+	char tmp[40];
 
 	dbg("%s", __FUNCTION__);
 	length += sprintf (page, "usbserinfo:1.0 driver:%s\n", DRIVER_VERSION);
@@ -831,8 +831,8 @@
 		length += sprintf (page+length, " num_ports:%d", serial->num_ports);
 		length += sprintf (page+length, " port:%d", i - serial->minor + 1);
 
-//		usb_make_path(serial->dev, tmp, sizeof(tmp));
-//		length += sprintf (page+length, " path:%s", tmp);
+		usb_make_path(serial->dev, tmp, sizeof(tmp));
+		length += sprintf (page+length, " path:%s", tmp);
 			
 		length += sprintf (page+length, "\n");
 		if ((length + begin) > (off + count))
